libzypp 17.37.10

repomanager.cc File Reference
`#include "repomanager.h"`
`#include "zypp-core/ExternalProgram.h"`
`#include <solv/solvversion.h>`
`#include <zypp-core/AutoDispose.h>`
`#include <zypp-core/base/Regex.h>`
`#include <zypp-core/fs/PathInfo.h>`
`#include <zypp-core/zyppng/pipelines/MTry>`
`#include <zypp-core/zyppng/pipelines/Transform>`
`#include <zypp-core/zyppng/ui/ProgressObserver>`
`#include <zypp-media/ng/providespec.h>`
`#include <zypp/HistoryLog.h>`
`#include <zypp/ZConfig.h>`
`#include <zypp/ZYppCallbacks.h>`
`#include <zypp/base/LogTools.h>`
`#include <zypp/parser/RepoFileReader.h>`
`#include <zypp/parser/ServiceFileReader.h>`
`#include <zypp/sat/Pool.h>`
`#include <zypp/zypp_detail/urlcredentialextractor_p.h>`
`#include <zypp/repo/ServiceType.h>`
`#include <zypp/repo/PluginServices.h>`
`#include <zypp/ng/reporthelper.h>`
`#include <zypp/ng/repo/refresh.h>`
`#include <zypp/ng/repo/workflows/repomanagerwf.h>`
`#include <zypp/ng/repo/workflows/serviceswf.h>`
`#include <zypp/ng/workflows/contextfacade.h>`
`#include <fstream>`
`#include <utility>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::zypp_readonly_hack
namespace | zyppng
namespace | zyppng::env

## Macros
#define | ZYPP_BASE_LOGGER_LOGGROUP "zypp::repomanager"
#define | OUTS(V)

## Functions
bool | zypp::zypp_readonly_hack::IGotIt ()
bool | zypp::env::ZYPP_PLUGIN_APPDATA_FORCE_COLLECT ()
| To trigger appdata refresh unconditionally.
std::ostream & | zyppng::operator<< (std::ostream &str, zypp::RepoManagerFlags::RawMetadataRefreshPolicy obj)
std::ostream & | zyppng::operator<< (std::ostream &str, zypp::RepoManagerFlags::RefreshCheckStatus obj)
std::ostream & | zyppng::operator<< (std::ostream &str, zypp::RepoManagerFlags::CacheBuildPolicy obj)
std::string | zyppng::filenameFromAlias (const std::string &alias_r, const std::string &stem_r)
| Generate a related filename from a repo/service infos alias.
expected< std::list< RepoInfo > > | zyppng::repositories_in_file (const zypp::Pathname &file)
| Reads RepoInfo's from a repo file.
template<typename ZContextRef>
std::list< RepoInfo > | zyppng::repositories_in_dir (ZContextRef zyppContext, const zypp::Pathname &dir)
| List of RepoInfo's from a directory.
expected< void > | zyppng::assert_urls (const RepoInfo &info)
bool | zyppng::autoPruneInDir (const zypp::Pathname &path_r)
| bsc#1204956: Tweak to prevent auto pruning package caches.

## Macro Definition Documentation

## ◆ ZYPP_BASE_LOGGER_LOGGROUP

#define ZYPP_BASE_LOGGER_LOGGROUP "zypp::repomanager"

Definition at line 43 of file repomanager.cc.

## ◆ OUTS [1/3]

#define OUTS | ( |  | V | ) |

Value:
case zypp::RepoManagerFlags::V: str << #V; break
str
String related utilities and Regular expression matching.

## ◆ OUTS [2/3]

#define OUTS | ( |  | V | ) |

Value:
case zypp::RepoManagerFlags::V: str << #V; break

## ◆ OUTS [3/3]

#define OUTS | ( |  | V | ) |

Value:
case zypp::RepoManagerFlags::V: str << #V; break